Subject: [Pce] Ben Campbell's No Objection on draft-ietf-pce-lsp-setup-type-09: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Tue, 03 Apr 2018 12:59:50 -0700

Ben Campbell has entered the following ballot position for
draft-ietf-pce-lsp-setup-type-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pce-lsp-setup-type/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Substantive Comments:

§1.1: There are at least a few instances of lower case versions of 2119
keywords. Please consider using the boilerplate from RFC 8174.

§7:
Doesn't this need to say something about the possible security considerations
when adding new path setup types ?

Editorial Comments and Nits:

§5: "... it MUST consider that the peer suports only ...: I think perhaps
"consider" should have been "assume"? Also, s/suports/supports.

---

From: Jonathan Hardwick <[email-masked]>
Date: Tue, 17 Apr 2018 17:42:29 +0000

Hi Ben

Thanks for the comments - please see [Jon] below.

Best regards
Jon

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of Ben Campbell
Sent: 03 April 2018 21:00
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Pce] Ben Campbell's No Objection on draft-ietf-pce-lsp-setup-type-09: (with COMMENT)

<snip>

Substantive Comments:

§1.1: There are at least a few instances of lower case versions of 2119 keywords. Please consider using the boilerplate from RFC 8174.

[Jon] OK - done

§7:
Doesn't this need to say something about the possible security considerations when adding new path setup types ?

[Jon] I added the following in response to a similar comment from Benjamin Kaduk.  Do you think this covers it?

NEW
  Note that, if the security mechanisms of [RFC5440] and [RFC8281] are not used, then the protocol described by this draft could be attacked in the following new way.  An attacker, using a TCP man-in-the-middle attack, could inject error messages into the PCEP session when a particular PST is (or is not) used.  By doing so, the attacker could potentially force the use of a specific PST, which may allow them to subsequently attack a weakness in that PST.
END

§5: "... it MUST consider that the peer suports only ...: I think perhaps "consider" should have been "assume"? Also, s/suports/supports.

[Jon] Thanks - fixed.

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

---

From: Ben Campbell <[email-masked]>
Date: Tue, 17 Apr 2018 12:45:19 -0500

Your responses address all of my comments.

Thanks!

Ben.

> On Apr 17, 2018, at 12:42 PM, Jonathan Hardwick <[email-masked]> wrote:
> 
> Hi Ben
>